export const serviceTerms_zh = {
    ServiceTerms: {
        title:"服务条款内容",
        title1:"一、总则",
        clauseTotal1:"1.欢迎访问 M2pool 矿池网站（以下简称“本网站”）。使用本网站的服务（以下简称“服务”），即表示您同意遵守以下服务条款（以下简称“条款”）。",
        clauseTotal2:"2.请仔细阅读以下条款，如果您点击 “注册 ”按钮或查看、使用这些服务，即视为您已阅读并同意本服务条款及其所有附加条款。如果你不接受服务条款的限制，请不要查看或使用服务。",
        clauseTotal3:"3.我们保留随时修改这些条款的权利，修改后的条款将在网站上公布。您继续使用服务即表示您接受修改后的条款。",
        clauseTotal4:"4.我们希望您能定期查看本条款，以确保您已确认适用于您查看和使用的条款和条件。本条款及附加条款可供您查看，并可用于使用我们提供的任何服务，包括但不限于以下网站：https://www.m2pool.com/（以下简称 “本网站”）。",
        title2:"二、服务说明",
        clauseService1:"1.我们的服务旨在为用户提供数字货币挖矿相关的资源和支持，但不保证挖矿的收益或成功。",
        clauseService2:"2.服务可能会因维护、升级或其他原因而暂时中断，我们将尽力提前通知用户，但不对此类中断造成的损失负责。",
        clauseService3:"3.M2Pool 不向以下司法管辖区的个人或实体提供服务：布隆迪、中非共和国、中国大陆、刚果、古巴、伊拉克、伊朗、朝鲜、黎巴嫩、利比亚、苏丹、索马里、南苏丹、叙利亚、也门和津巴布韦。",
        clauseService4:" 通过访问和使用 M2Pool 服务，您声明并保证您不位于、不在上述任何国家/地区设立或不是上述任何国家的居民。M2Pool 保留自行决定限制或拒绝某些国家/地区提供服务的权利。如果 M2Pool 确定（自行决定）用户是指定国家/地区的居民，M2Pool 可能会冻结或终止这些帐户。",
        title3:"三、用户资格",
        clauseUser1:"1.您必须达到法定年龄并具备完全民事行为能力才能使用本服务。",
        clauseUser2:"2.您保证所提供的注册信息真实、准确、完整，并及时更新,您可以使用电子邮件地址我们允许的其他方式登录 M2Pool。如果您提供的注册信息不正确，我们将不承担任何责任。您将遭受任何直接或间接的损失和不利后果。",
        clauseUser3:"3.您应是具有完全行为能力和民事权利能力的法人、公司或其他组织。否则，您或您的监护人应承担一切后果。我们有权注销或永久中止您的账户，并要求您赔偿。",
        title4:"四、用户责任",
        clauseResponsibility1:"1.您应遵守所有适用的国家法律、法规等规范性文件及本规则的规定和要求，包括但不限于与数字货币挖矿相关的法律。不违反社会公共利益或公共道德，不损害他人合法权益，不偷逃应纳税款，不违反本规定及相关规则。如果您违反上述承诺并产生任何法律后果，您应自行承担所有法律责任，并确保我们免受任何损失。",
        clauseResponsibility2:"2.您不得利用本服务从事任何非法、欺诈、有害或侵犯他人权利的活动。",
        clauseResponsibility3:"3.您对自己的挖矿设备和网络连接负责，确保其符合相关要求并正常运行。",
        clauseResponsibility4:"4.您必须对您的M2Pool用户名和密码以及在您的用户名、M2Pool密码下发生的所有活动（包括但不限于信息披露和发布、在线点击同意或提交各种规则和协议、在线协议续签或购买服务、账户设置等）的保密性负责。",
        clauseResponsibility5:"5.如果任何人未经认证使用您的M2pool邮箱、账号等登录本网站，我们不对您因违反本条款而造成的任何损失负责。",
        title5:"五、费用与支付",
        clausePayment1:"1.我们可能会根据服务内容收取一定的费用，具体费用标准将在网站上公布。",
        clausePayment2:"2.您同意按照规定的支付方式和时间支付费用，逾期未支付可能导致服务暂停或终止。",
        clausePayment3:"3.您在使用本服务时所产生的应纳税额以及所有硬件、软件、服务或其他方面的费用均由您自行承担。",
        title6:"六、收益与分配",
        clauseProfit1:"1.挖矿收益将根据我们的分配机制进行分配，但不保证收益的稳定性和固定性。",
        clauseProfit2:"2.我们有权根据实际情况调整分配机制，但会提前通知用户。",
        title7:"七、数据与隐私",
        clausePrivacy1:"1.我们会收集和使用您在使用服务过程中产生的相关数据，但会严格遵守隐私政策保护您的隐私。",
        clausePrivacy2:"2.您同意我们对数据的收集、使用和处理，以提供和改进服务。",
        title8:"八、知识产权",
        clausePropertyRight1:"1.本网站的所有内容，包括但不限于商标、版权、专利等，均归本公司或相关权利人所有。",
        clausePropertyRight2:"2.未经授权，您不得复制、修改、传播或使用本网站的任何知识产权。",
        title9:"九、免责声明",
        clauseDisclaimer1:"1.对于因不可抗力、系统故障、网络问题等导致的服务中断或数据丢失，我们不承担责任。",
        clauseDisclaimer2:"2.对于您因使用本服务而产生的任何直接、间接、偶然、特殊或后果性的损失，包括但不限于挖矿收益损失、设备损坏等，我们不承担赔偿责任。",
        title10:"十、终止服务",
        clauseTermination1:"1.我们有权在以下情况下终止您的服务：违反本条款、法律法规、损害本公司或其他用户的利益。",
        clauseTermination2:"2.服务终止后，您的相关数据可能会被删除或保留，具体处理方式将根据法律法规和公司政策执行。",
        title11:"十一、法律适用与争议解决",
        clauseLaw1:"1.本条款受新加坡法律的管辖。",
        clauseLaw2:"2.如发生争议，双方应通过友好协商解决；协商不成的，可向有管辖权的法院提起诉讼。",

    }
}

export const serviceTerms_en = {
    ServiceTerms: {
         "title": "Content of Service Terms", 
         "title1": "1、 General Provisions", 
         "clauseTotal1": "Welcome to the M2pool mining pool website (hereinafter referred to as \"this website\"). By using the services of this website (hereinafter referred to as the \"Services\"), you agree to comply with the following terms of service (hereinafter referred to as the \"Terms\").", "clauseTotal2": "2. Please carefully read the following terms. If you click the \"Register\" button or view or use these services, it is deemed that you have read and agreed to these terms of service and all its additional terms. If you do not accept the limitations of the terms of service, please do not view or use the service.", "clauseTotal3": "3. We reserve the right to modify these terms at any time, and the modified terms will be published on the website. By continuing to use the service, you accept the revised terms.", "clauseTotal4": "4. We hope that you can regularly review these terms to ensure that you have confirmed the terms and conditions applicable to your viewing and use. These terms and additional terms are available for your review and can be used to use any services we provide, including but not limited to the following websites: https://www.m2pool.com/ (hereinafter referred to as \"this website\").", "title2": "2、 Service Description", "clauseService1": "Our service aims to provide users with resources and support related to cryptocurrency mining, but we do not guarantee the profits or success of mining.", 
         "clauseService2": "2. The service may be temporarily interrupted due to maintenance, upgrades, or other reasons. We will do our best to notify users in advance, but we are not responsible for any losses caused by such interruptions.", "clauseService3": "3.M2Pool does not provide services to individuals or entities in the following jurisdictions: Burundi, Central African Republic, Chinese Mainland, Congo, Cuba, Iraq, Iran, North Korea, Lebanon, Libya, Sudan, Somalia, South Sudan, Syria, Yemen and Zimbabwe.", "clauseService4": "By accessing and using the M2Pool service, you declare and warrant that you are not located, established, or a resident of any of the aforementioned countries/regions. M2Pool reserves the right to restrict or refuse services provided by certain countries/regions at its own discretion. If M2Pool determines (at its discretion) that the user is a resident of a specified country/region, M2Pool may freeze or terminate these accounts.", "title3": "3、 User Qualification",
          "clauseUser1": "1. You must be of legal age and have full capacity for civil conduct to use this service.", "clauseUser2": "2. You guarantee that the registration information provided is true, accurate, complete, and updated in a timely manner. You can log in to M2Pool using other methods allowed by our email address. If the registration information you provide is incorrect, we will not be held responsible. You will suffer any direct or indirect losses and adverse consequences.", "clauseUser3": "3. You should be a legal person, company, or other organization with full capacity for conduct and civil rights. Otherwise, you or your guardian shall bear all consequences. We have the right to cancel or permanently suspend your account and demand compensation from you.", "title4": "4、 User Responsibility", "clauseResponsibility1": "1. You shall comply with all applicable national laws, regulations and normative documents, as well as the provisions and requirements of these rules, including but not limited to laws related to digital currency mining. Not violating the public interest or public morality, not harming the legitimate rights and interests of others, not evading taxes, and not violating these regulations and related rules. If you violate the above commitments and incur any legal consequences, you shall bear all legal responsibilities on your own and ensure that we are free from any losses.", "clauseResponsibility2": "2. You are not allowed to engage in any illegal, fraudulent, harmful, or infringing activities using this service.", "clauseResponsibility3": "3. You are responsible for your mining equipment and network connection, ensuring that it meets relevant requirements and operates normally.", "clauseResponsibility4": "4. You are responsible for the confidentiality of your M2Pool username and password, as well as all activities that occur under your username and M2Pool password (including but not limited to information disclosure and publication, online click to agree or submit various rules and agreements, online agreement renewal or purchase of services, account settings, etc.).", "clauseResponsibility5": "5. If anyone uses your M2pool email, account, etc. to log in to this website without authentication, we will not be responsible for any losses caused by your violation of these terms.", "title5": "5、 Fees and Payment", "clausePayment1": "We may charge a certain fee based on the service content, and the specific fee standard will be announced on the website.", "clausePayment2": "2. You agree to pay the fees according to the prescribed payment method and time. Failure to pay on time may result in the suspension or termination of the service.", "clausePayment3": "3. The taxable amount and all hardware, software, service or other expenses incurred by you when using this service shall be borne by you.", "title6": "6、 Income and distribution", "clauseProfit1": "1. Mining profits will be distributed according to our distribution mechanism, but we do not guarantee the stability and stability of the profits.", "clauseProfit2": "2. We have the right to adjust the allocation mechanism according to the actual situation, but we will notify users in advance.", "title7": "7、 Data and Privacy", "clausePrivacy1": "1. We will collect and use relevant data generated during your use of the service, but we will strictly comply with the privacy policy to protect your privacy.", "clausePrivacy2": "2. You agree to our collection, use, and processing of data to provide and improve services.", "title8": "8、 Intellectual Property", "clausePropertyRight1": "All content on this website, including but not limited to trademarks, copyrights, patents, etc., belongs to our company or relevant rights holders.", "clausePropertyRight2": "2. Without authorization, you are not allowed to copy, modify, disseminate or use any intellectual property of this website.", "title9": "9、 Disclaimer", "clauseDisclaimer1": "We are not responsible for service interruptions or data loss caused by force majeure, system failures, network issues, etc.", "clauseDisclaimer2": "2. We are not liable for any direct, indirect, incidental, special or consequential losses incurred by you as a result of using this service, including but not limited to mining revenue loss, equipment damage, etc.", "title10": "10、 Termination of Service", "clauseTermination1": "We have the right to terminate your service in the following circumstances: violation of these terms, laws and regulations, or damage to the interests of our company or other users.", "clauseTermination2": "After the termination of the service, your relevant data may be deleted or retained, and the specific processing method will be implemented in accordance with laws, regulations, and company policies.", "title11": "11、 Application of Law and Dispute Resolution", "clauseLaw1": "1. This clause is governed by the laws of Singapore.", "clauseLaw2": "2. In the event of a dispute, both parties shall resolve it through friendly consultation; If the negotiation fails, a lawsuit may be filed with a court with jurisdiction." 
       
    }
}