export const miningAccount_zh = {
    mining: {
        totalRevenue: "总收入",
        totalExpenditure: "总支出",
        yesterdaySEarnings: "昨日收益",
        diggedToday: "今日已挖(预估)",
        accountBalance: "账户余额",
        paymentSettings: "付款设置",
        algorithmicDiagram: "算力图",
        computingPower: "矿机算力分布",
        miner: "矿工",
        profit: "收益",
        payment: "支付",
        all:"全部",
        onLine:"在线",
        offLine:"离线",
        hoursPower:"1小时算力",
        dayPower:"24小时算力",
        refusalRate:"拒绝率",
        settlementTime:"结算时间",
        remarks:"备注",
        withdrawalAddress:"提现地址",
        withdrawalTime:"提现时间",
        currency:"币种",
        withdrawalAmount:"提现金额",
        transactionId:"交易ID",
        pleaseEnter:"请输入...",
        power24H:"24小时算力图",
        logInFirst:"请先登录后查看该页面",
        totalRevenueTips:"本挖矿账户全部收益累计",
        totalExpenditureTips:"本挖矿账户已提现收益累计",
        yesterdaySEarningsTips:"昨日(utc)24小时收益，由于该收益需要5000个区块高度确认(大约为7天)，因此该笔收益需要等待大约7天才可提现转账。",
        diggedTodayTips:"今日(utc)截止到目前的挖矿收益，该收益根据过去24小时算力预估，仅供参考，最终收益以PPLNS结算为准。",
        blockRewards:"仅指报块的固定奖励",
        transactionFeeExplanation:"仅指该区块支付给矿工打包交易的费用，和区块奖励一起组成最终的报块奖励",
        Withdrawable:"可提现余额",
        balanceReminder:"该数据不包含今日预估收益。可提现余额会在每天12点(utc)之前自动转入到您的挖矿钱包中。",
        mature:"成熟：已经被区块链确认的收益。未成熟：还未被区块链确认的收益。所有成熟和未成熟的收益都将暂时添加到您的账户余额中，但只有成熟的区块收益才能被提现。",
        submitTime:"最后提交时间",
        total:"合计",
        Minutes:"30分钟",
        state:"状态",
        date:"日期",
        settlementDate:"结算日期",
        paymentStatus:"支付状态",
        paymentInProgress:"支付中",
        paymentCompleted:"已支付",
        jurisdiction:"无访问权限!",


        
  
    }
}

export const miningAccount_en = {
    mining: {
        "totalRevenue":"Total revenue",
        "totalExpenditure":"Total expenditure",
        "yesterdaySEarnings":"Yesterday's earnings",
        "diggedToday":"Excavated today (estimated)",
        "accountBalance":"Account balance",
        "paymentSettings":"Payment settings",
        "algorithmicDiagram":"Algorithmic diagram",
        "computingPower":"Distribution of mining machine computing power",
        "miner":"miner","profit":"profit","payment":"payment",
        "all":"whole","onLine":"on-line",
        "offLine":"off-line",
        "hoursPower":"1 hour of computing power",
        "dayPower":"24-hour computing power",
        "refusalRate":"Refusal rate",
        settlementTime:"Settlement time",
        remarks:"Remarks",
        withdrawalAddress:"Withdrawal address",
        currency:"Currency",
        withdrawalAmount:"Withdrawal amount",
        transactionId:"Transaction Id",
        pleaseEnter:"Please enter...",
        power24H:"24-hour calculation chart",
        logInFirst:"Please log in first and then view this page",
        totalRevenueTips:"Accumulate all profits of this mining account",
        totalExpenditureTips:"Accumulated withdrawal income of this mining account",
        yesterdaySEarningsTips:"Yesterday (UTC), there was a 24-hour return. As this return requires 5000 blocks to be highly confirmed (approximately 7 days), it will take about 7 days for the return to be withdrawn and transferred.",
        diggedTodayTips:"The mining income as of today (UTC) is estimated based on the computing power of the past 24 hours and is for reference only. The final income will be settled by PPLNS.",
        blockRewards:"Only refers to fixed rewards for block submissions",
        transactionFeeExplanation:"Only refers to the fee paid by the block to miners for packaging transactions, which, together with the block reward, constitutes the final block reward",
        Withdrawable:"Withdrawable balance",
        balanceReminder:"This data does not include today's estimated earnings. The withdrawable balance will be automatically transferred to your mining wallet before 12:00 UTC every day.",
        mature:"Mature: Earnings that have been confirmed by the blockchain. Unripe: Earnings that have not yet been confirmed by the blockchain. All mature and immature earnings will be temporarily added to your account balance, but only earnings from mature blocks can be withdrawn.",
        submitTime:"Final submission time",
        total:"Total",
        Minutes:"30 Minutes",
        state:"State",
        date:"date",
        withdrawalTime:"Withdrawal time",
        settlementDate:"Settlement date",
        paymentStatus:"Payment status",
        paymentInProgress:"default",
        paymentCompleted:"paid",
        jurisdiction:"No access permission!",

    }
}