export const personalCenter_zh = {
    personal: {
        miningAccount: "挖矿账户",
        readOnlyPage: "只读页面",
        securitySetting: "安全设置",
        personalCenter: "个人中心",
        miningReport: "挖矿报告",
        API: "API",
        add: "添加",
        delete: "删除",
        miningPool: "矿池",
        currency: "币种",
        remarks: "备注",
        operation: "操作",
        bindingWallet :"绑定付款钱包",
        addMiningPool: "添加挖矿账户",
        accountName:"账户名称",
        poolSelection:"币种选择",
        select:"请选择",
        remarks2: "备注(选填)",
        determine: "确 定",
        bindAddress: "付款设置",
        walletAddress: "钱包地址",
        Binding:"绑 定",
        establish:"创建",
        jurisdiction:"权限",
        account:"账户",
        readOnlyLink:"只读页面链接",
        setUp:"设置",
        miner: "矿工",
        profit: "收益",
        payment: "支付",
        loginPassword: "登录密码",
        accountSecurity: "用于保护账户安全。",
        setUp2: "已设置",
        modify: "修改",
        dualVerification:"双重验证",
        verificationInstructions:"用于添加、删除挖矿帐户和修改付款设置。",
        notEnabled:"未开启",
        Open:"开启",
        maintainPassword:"维护人员密码",
        maintenanceInstructions:"用于矿场维护人员登录帐户，使用此密码登录帐户时将隐藏“收益”和“帐户设置”页面。",
        deleteAccount:"删除账户",
        deleteDescription:"永久删除此主帐户及其子帐户。",
        Tips:"提示",
        enableVerificationDescription:"如需进行此操作，请先开启双重验证。",
        enableVerification:"开启双重验证",
        firstStep:"第一步",
        googleIdentity:"请使用您手机上的谷歌身份验证器（Google Authenticator）或其它兼容应用程序扫描下方二维码，也可手动输入以下16位密钥。",
        saveKey:"注意：请妥善保存密钥，避免被盗或丢失。",
        resetKeyDescription:"如遇手机丢失等情况，可通过该密钥恢复您的谷歌验证。如密钥丢失，需要提交工单通过人工客服重置，处理时间需7天。",
        nextStep:"下一步",
        step2:"第二步",
        verificationCode:"邮箱验证码",
        oneTimePassword:"双重验证动态口令",
        previousStep:"上一步",
        goOpenIt:"去开启",
        reasonForDeletion:"为了帮助我们优化服务，恳请您选择删除帐户的理由：",
        Cancel:"取 消",
        userName:"用户名",
        mailbox:"邮箱",
        phoneNumber:"手机号",
        mobilePhoneInstructions:" 用于添加或修改付款地址、修改登录密码，以及开启或修改维护人员密码。",
        loginHistory:"登录历史",
        time:"时间",
        loginResults:"登录结果",
        position:"位置",
        equipment:"设备",
        weekly:"周报",
        weeklyReportExplanation:"每个币种只能添加一份周报。开启后，每周二发送上周挖矿数据到您的注册邮箱。",
        weeklyReportTemplate:"查看周报模版",
        monthlyReport:"月报",
        monthlyReportExplanation:"每个币种只能添加一份月报。开启后，每月第二日发送上月挖矿数据到您的注册邮箱。",
        monthlyReportTemplate:"查看月报模版",
        addWeeklyReport:"添加周报",
        weeklyReportLanguage:"周报语言",
        weeklyReportCurrency:"周报币种",
        weeklyReportAccount:"周报账户",
        Submit:"提交",
        addMonthlyReport:"添加月报",
        monthlyReportLanguage:"月报语言",
        monthlyReportCurrency:"月报币种",
        monthlyReportAccount:"月报账户",
        nameDescription:"账号",
        pleaseEnter:"请输入..",
        pleaseEnter2:"输入搜索矿工",
        inputWalletAddress:"请输入钱包地址",
        remarksDescription:"请填写备注名，例如此只读页面链接分享给哪个合作伙伴",
        minimumPaymentAmount:"设置起付额",
        confirmSubmit:"确认提交",
        automaticWithdrawal:"是否自动提现",
        duplicateAccount:"账户名已存在，请重新填写",
        deleteConfirmation:"确认删除以下挖矿账户？",      
        walletTips:"请确认填写钱包地址",
        PaymentAmountTips:"该币种起付金额不能小于",
        accountNumber:"请填写账号",
        selectCurrency:"请选择币种",
        invalidAddress:"钱包地址无效",
        yes:"是",
        no:"否",
        pleaseEnter3:"输入搜索账户",
        copySuccessful:"复制成功",
        copyFailed:"复制失败",
        confirm:"确 定",
        confirmSelection:"请确认勾选注意事项",
        pwd:"请输入登录密码",
        eCode:"请输入邮箱验证码",
        gCode:"请输入动态口令",
        copy:"复制",
        or:"或",
        accountSelection:"请选择账户",
        selectPermissions:"请选择只读权限",
        modify2: "修 改",
        accountFormat:"账户只能输入字母、数字、下划线，且不能以数字开头，长度不小于4位，不大于24位",
        close:"关闭",
        turnOffVerification:"关闭双重验证",
        Closed:"已成功关闭双重验证",
        day:"天",
        hour:"时",
        minute:"分",
        second:"秒",
        front:"前",
        loadingText:"拼命加载中...",
        deletePrompt:"确定删除勾选内容吗？",
        scanning:"(扫描`上一步`中的二维码获取最新口令)",
        apiKey:"API Key",
        ipAddress:"默认IP地址或者输入其他IP地址",
        defaultIp:"使用本机默认IP地址",
        ipAddressReminder:"请输入IP地址或勾选使用本机默认IP地址",
        permissionReminder:"请选择相关权限",
        minerAPI:"矿工",
        accountApi:"挖矿账户",
        miningPoolApi:"矿池",
        ipFormat:"请检查IP地址格式是否正确",
        screen:"筛选币种",
        workOrderRecord:"工单记录",

    }
}

export const personalCenter_en = {
    personal: {
        miningAccount: "Mining account",
        readOnlyPage: "ReadOnly Page",
        securitySetting: "Security setting",
        personalCenter: "Personal Center",
        miningReport: "Mining report",
        API: "API",
        "add":"Add",
        "delete":"Delete",
        "miningPool":"Mining pool",
        "currency":"Currency",
        "remarks":"Remarks",
        "operation":"Operation",
        "bindingWallet":"Bind payment wallet",
        "addMiningPool":"Add mining account",
        "accountName":"title of account",
        "poolSelection":"Currency selection",
        "select":"Please select",
        "remarks2":"Remarks (optional)",
        "determine":"determine",
        "bindAddress":"Payment Settings",
        "walletAddress":"Wallet address",
        "Binding":"Binding",
        "establish":"establish",
        "jurisdiction":"Jurisdiction",
        "account":"Account",
        "readOnlyLink":"Read only page link",
        "setUp":"Set up",
        "miner":"miner",
        "profit":"profit",
        "payment":"payment",
        "loginPassword":"Login password",
        "accountSecurity":"Used to protect account security.",
        "setUp2":"Set up",
        "modify":"modify",
        "dualVerification":"Dual verification",
        "verificationInstructions":"Used for adding, deleting mining accounts, and modifying payment settings.","notEnabled":"Not enabled","Open":"open","maintainPassword":"Maintenance personnel password","maintenanceInstructions":"Used for mine maintenance personnel to log in to their account. When using this password to log in, the \"Benefits\" and \"Account Settings\" pages will be hidden.","deleteAccount":"Delete account","deleteDescription":"Permanently delete this main account and its sub accounts.","Tips":"Tips","enableVerificationDescription":"To perform this operation, please enable double verification first.","enableVerification":"Enable dual verification","firstStep":"The first step",
        "googleIdentity":"Please use Google Authenticator or other compatible applications on your phone to scan the QR code below, or manually enter the following 16 digit key.",
        "saveKey":"Be careful: Please keep the key properly to avoid theft or loss.","resetKeyDescription":"In case of phone loss or other situations, you can use this key to restore your Google verification. If the key is lost, a work order needs to be submitted for manual customer service reset, and the processing time takes 7 days.","nextStep":"next step","step2":"Step 2","verificationCode":"Email verification code","oneTimePassword":"Dual authentication dynamic password","previousStep":"Previous step","goOpenIt":"Go open it","reasonForDeletion":"To help us optimize our services, we kindly request that you choose the reason for deleting your account:","Cancel":"Cancel",
        "userName":"User name","mailbox":"Mailbox",
        "phoneNumber":"Cell-phone number",
        "mobilePhoneInstructions":"Used to add or modify payment addresses, modify login passwords, and enable or modify maintenance personnel passwords.","loginHistory":"Login History","time":"Time","loginResults":"Login Results","position":"Position","equipment":"Equipment","weekly":"weekly","weeklyReportExplanation":"Only one weekly report can be added per currency. After activation, send last week's mining data to your registered email every Tuesday.","weeklyReportTemplate":"View weekly report template","monthlyReport":"Monthly report","monthlyReportExplanation":"Only one monthly report can be added per currency. After activation, send the mining data from the previous month to your registered email on the second day of each month.","monthlyReportTemplate":"View monthly report template",
        "addWeeklyReport":"Add weekly report",
        "weeklyReportLanguage":"Weekly Report Language",
        "weeklyReportCurrency":"Weekly report currency",
        "weeklyReportAccount":"Weekly report account",
        "Submit":"Submit",
        "addMonthlyReport":"Add monthly report",
        "monthlyReportLanguage":"Monthly report language",
        "monthlyReportCurrency":"Monthly report currency",
        "monthlyReportAccount":"Monthly report account",
        nameDescription:"Account",
        pleaseEnter:"Please enter..",
        pleaseEnter2:"Enter search miner",
        inputWalletAddress:"Please enter the wallet address",
        remarksDescription:"Please fill in the note name, for example, which partner to share the read-only page link with",
        minimumPaymentAmount:"Minimum payment amount",
        confirmSubmit:"confirm Submit",
        automaticWithdrawal:"Whether to automatically withdraw funds",
        duplicateAccount:"The account name already exists, please fill it out again",
        deleteConfirmation:"Are you sure to delete the following mining accounts?",      
        walletTips:"Please confirm to fill in the wallet address",
        PaymentAmountTips:"The fluctuation amount of this currency cannot be less than",
        accountNumber:"Please fill in the account number",
        selectCurrency:"Please select currency",
        invalidAddress:"Invalid wallet address",  
        yes:"Yes",
        no:"No",
        pleaseEnter3:"Enter search account",
        copySuccessful:"Copy successful",
        copyFailed:"copy failed",
        confirm:"Confirm",
        confirmSelection:"Please confirm the selection of precautions",
        pwd:"Please enter your login password",
        eCode:"Please enter the email verification code",
        gCode:"Please enter the dynamic password",
        copy:"Copy",
        or:"Or",
        accountSelection:"Please select an account",
        selectPermissions:"Please select read-only permission",
        modify2: "Modify",
        accountFormat:"The account can only input letters, numbers, and underscores, and cannot start with a number. The length should not be less than 4 digits and not more than 24 digits",
        close:"close",
        turnOffVerification:"Turn off dual authentication",
        Closed:"Successfully disabled two factor authentication",
        day:"day",
        hour:"hours",
        minute:"minute",
        second:"second",
        front:"front",
        loadingText:"Desperately loading...",
        deletePrompt:"Are you sure to delete the selected content?",
        scanning:"(Scan the QR code from the `previous step` to obtain the latest password)",
        apiKey:"API Key",
        ipAddress:"Default IP address or enter another IP address",
        defaultIp:"Use the default IP address of this device",
        ipAddressReminder:"Please enter an IP address or check the option to use the default IP address on this device",
        permissionReminder:"Please select the relevant permissions",
        minerAPI:"miner",
        accountApi:"account",
        miningPoolApi:"pool",
        ipFormat:"Please check if the IP address format is correct",
        screen:"Filter currencies",
        workOrderRecord:"Work order record",
    }
}