import request from '@/utils/request'

interface LoginParams {
  username: string
  password: string
  remember: boolean
}

export const login = (data: LoginParams) => {
  return request({
    url: '/api/login',
    method: 'post',
    data
  })
} 