export const api_zh = {
    apiFile: {
        file: "M2pool API 文档",
        leftMenu: "API 文档 V1",
        survey: "概况",
        survey1: "用户可以通过 m2pool 提供的 API 接口，获取矿池、帐户的算力。",
        survey2: "本文档主要用于说明如何使用 m2pool 的 API接口,内容主要包括API的认证token生成以及API接口调用和返回数据结构。如果在调用 API 的返回值中，出现本文档中没有描述的字段，则说明这些字段为保留字段或是被弃用，请直接忽略。",
        apiAuthentication: "API 认证",
        apiAuthentication1: "查询 API 时需要提供由账号生产的具有对应权限的 token ，才能正常得到结果。用户可通过 m2pool 个人中心的",
        apiAuthentication5:"API页面",
        apiAuthentication6:"获取（请求 token 时可以根据需求自行勾选权限,可选权限分别为公共矿池数据查询接口调用权限、挖矿账户数据查询接口调用权限、矿机数据查询接口调用权限）。",        
        apiAuthentication2: "在请求 API 时，将前面获取到的 token 放在 HTTP 请求Header 的API-KEY属性中即可完成认证。",
        apiAuthentication3: "请求API的IP要和获取API时的IP一致,且不能是本网站申明的禁止访问国家/地区的IP。",
        apiAuthentication4: "例如：",
        url: "示例url",
        explain: "说明",
        explain1: "获取某币种的矿池详情，包括矿池在线矿工数、最近7天的矿池算力、矿池当前算力、矿池最新高度、矿池费用、矿池提现起付额等",
        explain2: "获取某币种历史算力信息。start和end最多相差3个月",
        explain3: "当发生错误的时候，会返回给统一格式的数据",
        explain4: "错误描述",
        explain5: "当成功时返回同意格式的数据，数据具体字段见具体接口说明",
        explain6: "API 中 coin 字段可目前仅取值支持：nexa",
        miningPoolInformation: "矿池信息",
        miningPoolInformation1: "公共结构",
        miningPoolInformation2: "算力数据",
        name: "名称",
        type: "类型",
        remarks: "备注",
        Explain: "解释",
        powerStatistics: "算力统计时间",
        power: "算力",
        minersNum: "矿工数量数据",
        totalMiners: "总矿工数",
        onLineMiners: "在线矿工数",
        offLineMiners: "离线矿工数",
        overviewOfMiningPool: "矿池总览",
        jurisdiction: "所需权限",
        parameter: "请求参数",
        currency: "币种",
        response: "响应参数",
        serviceCharge: "矿池手续费",
        minimumPaymentAmount: "起付额",
        latelyPower24h: "最近七天算力（24h平均）",
        Power24h: "矿池最新算力（24h平均）",
        height: "矿池当前高度",
        currentMiners: "矿池当前矿工数",
        eachState: "各状态矿工数量",
        realTimePower: "矿池实时算力",
        averagePower30m: "当前30m平均算力",
        averagePower24h: "当前24h平均算力",
        Company: "单位",
        historyPower: "矿池总览历史算力",
        start: "开始时间",
        start2: "格式yyyy-MM-dd 与end相差最多三个月",
        end: "结束时间",
        end2: "格式yyyy-MM-dd 与star相差最多三个月",
        historyPower30m: "30m平均算力历史记录",
        historyPower24h: "24h平均算力历史记录",
        miningAccount: "挖矿账号信息",
        minerData: "矿工数量数据",
        stateData: "矿工状态数据",
        minerId: "矿工号",
        minerStatus: "矿工状态",
        minerStatus0: "0 代表在线",
        minerStatus1: "1 代表离线",
        minerStatus2: "2 代表异常状态",
        overviewOfMiners: "挖矿账号下矿工总览",
        accountApiKey: "该API-KEY绑定账号下的挖矿账号名",
        allMiners: "挖矿账号下所有矿工",
        realTimeAccount: "挖矿账号实时算力",
        account24h: "挖矿账号历史24h平均算力",
        account24h30m: "挖矿账号最近24h算力（30m平均算力）",
        average24h30m: "最近24h的30m平均算力",
        miningMachineInformation: "矿机信息",
        realTimeMiningMachine: "指定矿机实时算力",
        aCertainMiner: "挖矿账户下对应的某矿工号",
        miningMachineHistory24h: "指定矿机历史24h平均算力",
        realTimeMiningMachine24h30m: "指定矿机最近24h算力（30m平均算力）",
    }
}

export const api_en = {
    apiFile: {
        file: "M2pool API documentation",
        leftMenu: "API documentation V1",
        "survey": "survey",
        "survey1": "Users can obtain the computing power of mining pools and accounts through the API interface provided by m2pool.",
        "survey2": "This document is mainly used to explain how to use the API interface of m2pool, including the generation of authentication tokens for the API, API interface calls, and the return of data structures. If fields not described in this document appear in the return value of API calls, it indicates that these fields are reserved or abandoned, please ignore them directly.",
        "apiAuthentication": "API certification",
        "apiAuthentication1": "When querying the API, it is necessary to provide a token produced by the account with corresponding permissions in order to obtain normal results. Users can access the m2pool personal center through",
        "apiAuthentication2": "When requesting an API, place the token obtained earlier in the API-KEY attribute of the HTTP request header to complete authentication.", "apiAuthentication3": "The IP address requested for the API must be consistent with the IP address used to obtain the API, and cannot be the IP address of the prohibited country/region declared by this website.",
        "apiAuthentication4": "For example:",
        "url": "Example URL",
        "explain": "explain",
        "explain1": "Get the details of a mining pool for a certain currency, including the number of online miners in the pool, the computing power of the mining pool in the past 7 days, the current computing power of the mining pool, the latest height of the mining pool, mining pool fees, and the minimum withdrawal amount of the mining pool",
        "explain2": "Obtain historical computing power information for a certain currency. The maximum difference between start and end is 3 months",
        "explain3": "When an error occurs, data in a unified format will be returned", "explain4": "Error description",
        "explain5": "When successful, return data in the agreed format. Please refer to the specific interface instructions for the specific fields of the data",
        "explain6": "The coin field in the API currently only supports values such as nexa",
        "miningPoolInformation": "Mining Pool Information",
        "miningPoolInformation1": "Public Structure",
        "miningPoolInformation2": "Computing power data",
        "name": "name", "type": "type",
        "remarks": "remarks",
        "powerStatistics": "Computing power statistics time",
        "power": "Computing power",
        "minersNum": "Number of miners data", 
        "totalMiners": "Total number of miners", 
        "onLineMiners": "Number of online miners",
         "offLineMiners": "Number of offline miners",
         Explain: "explain",
          "overviewOfMiningPool": "Overview of Mining Pool", "jurisdiction": "Required permissions", "parameter": "Request parameters", "currency": "currency", "response": "Response parameters", "serviceCharge": "Mining pool handling fee", "minimumPaymentAmount": "Minimum payment amount", "latelyPower24h": "Last seven days' computing power (24-hour average)", "Power24h": "Latest computing power of mining pool (24-hour average)", "height": "The current height of the mining pool", "currentMiners": "The current number of miners in the mining pool", "eachState": "Number of miners in each state", "realTimePower": "Real time computing power of mining pool", "averagePower30m": "Current average computing power of 30m", "averagePower24h": "Current 24-hour average computing power", "Company": "Company", "historyPower": "Overview of Mining Pool Historical Computing Power", "start": "start time", "start2": "Format yyyy MM dd differs from end by up to three months", "end": "End time", "end2": "Format yyyy MM dd differs from star by up to three months", "historyPower30m": "30m average computing power historical record", "historyPower24h": "24-hour average computing power history record", "miningAccount": "Mining account information", "minerData": "Number of miners data", "stateData": "Miner status data", "minerId": "Miner ID", "minerStatus": "Miner status", "minerStatus0": "0 represents online", "minerStatus1": "1 represents offline", "minerStatus2": "2 represents abnormal state", "overviewOfMiners": "Overview of miners under mining accounts", "accountApiKey": "The mining account name under the API-KEY bound account", "allMiners": "All miners under the mining account", "realTimeAccount": "Real time computing power of mining accounts", "account24h": "24-hour average computing power of mining account history", "account24h30m": "Mining account's computing power in the past 24 hours (average computing power of 30m)", "average24h30m": "The average computing power of 30m in the past 24 hours", "miningMachineInformation": "Mining machine information", "realTimeMiningMachine": "Specify the real-time computing power of the mining machine", "aCertainMiner": "The corresponding miner account under the mining account", "miningMachineHistory24h": "Specify the average computing power of the mining machine in the past 24 hours", "realTimeMiningMachine24h30m": "Designated mining machine's computing power in the past 24 hours (average computing power of 30m)",
          apiAuthentication5:"API page",
          apiAuthentication6:"Obtain (When requesting tokens, you can check the permissions according to your needs, and the optional permissions are public mining pool data query interface call permission, mining account data query interface call permission, and mining machine data query interface call permission).",        
  
    }
}