export const userLang_zh = {
    user: {
        login:"登 录",
        register:"去注册",
        Account:"邮箱",
        password:"密码",
        forgotPassword:"忘记密码",
        inputAccount:"请输入账号",
        inputPassword:"请输入密码",
        inputEmail:"请输入邮箱",
        accountReminder:"请确认账号输入格式是否正确(以字母开头,允许使用字母、数字、下划线，长度不小于3，不大于16位)",
        PasswordReminder:"请确认密码格式输入正确(应包含大小写字母、数字和特殊字符，长度不小于8，不大于32位)",
        loginSuccess:"登录成功",
        inputCode:"请输入验证码",
        noPage:" 对不起，您正在寻找的页面不存在。尝试检查URL的错误，然后按浏览器上的刷新按钮或尝试在我们的应用程序中找到其他内容。",
        canTFind:"找不到网页！",
        verificationCode:"验证码",
        obtainVerificationCode:"获取验证码",
        again:"s后重新获取",
        newUser:"新用户注册",
        confirmPassword:"确认密码",
        havingAnAccount:"已有账号?",
        loginExpired:"登录状态已过期",
        overduePrompt:"系统提示",
        Home:"首 页",
        signOut:"退出登录",
        codeSuccess:"已发送验证码",
        emailVerification:"请检查邮箱是否输入正确",
        passwordVerification:"用户密码长度必须介于 8 和 32 之间",
        secondaryPassword:"请再次输入您的密码",
        passwordFormat:"请确认密码格式输入正确",
        system:"系统提示",
        congratulations:"恭喜您的账号  注册成功！",
        passwordPrompt:"密码应包含大小写字母、数字和特殊字符，长度不小于8，不大于32位",
        verificationCodeSuccessful:"验证码发送成功",
        noAccount:"没有账号？",
        resetPassword:"重置密码",
        newPassword:"确认密码",
        changePassword:"修改密码",
        returnToLogin:"返回登录",
        confirmPassword2:"确认两次密码输入一致",
        modifiedSuccessfully:"密码修改成功，请登录",
        verificationEnabled:"已开启验证",
        newPassword2:"新密码",
    }
}

export const userLang_en = {
    user: {
        login:"Login",
        register:"Sign Up",
        Account:"Email",
        password:"Password",
        forgotPassword:"Forgot password",
        inputAccount:"Please enter an account",
        inputPassword:"Please enter the password",
        inputEmail:"Please enter your email address",
        accountReminder:"Please confirm if the account input format is correct (starting with a letter, allowing letters, numbers, and underscores, with a length of no less than 3 and no more than 16 digits)",
        PasswordReminder:"Please confirm that the password format is entered correctly (it should include uppercase and lowercase letters, numbers, and special characters, with a length of no less than 8 and no more than 32 bits)",
        loginSuccess:"Login successful",
        inputCode:"Please enter the verification code",
        noPage:" Sorry, the page you are looking for does not exist. Try checking for errors in the URL, then press the refresh button on the browser or try to find other content in our application.",
        canTFind:"Unable to find webpage!",
        verificationCode:"Code",
        obtainVerificationCode:"Obtain Code",
        again:"s again",
        newUser:"New user registration",
        confirmPassword:"Confirm password",
        havingAnAccount:"Existing account?",
        loginExpired:"Login status has expired",
        overduePrompt:"System prompt",
        Home:"Home",
        signOut:"Sign out",
        codeSuccess:"Verification code has been sent",
        emailVerification:"Please check if the email is entered correctly",
        passwordVerification:"Password length must be between 8 and 32",
        secondaryPassword:"Please enter your password again",
        passwordFormat:"Please confirm that the password format is entered correctly",
        system:"System prompt",
        congratulations:"Congratulations on the successful registration of your account!",
        passwordPrompt:"password Contains uppercase and lowercase letters, numbers, and special characters,Length not less than 8 and not more than 32",
        verificationCodeSuccessful:"Verification code sent successfully",
        noAccount:"Don't have an account?",
        resetPassword:"Reset Password",
        newPassword:"Confirm password",
        changePassword:"Change Password",
        returnToLogin:"Return to login",
        confirmPassword2:"Confirm that the two password inputs are consistent",
        modifiedSuccessfully:"Password changed successfully, please log in",
        verificationEnabled:"Verification enabled",
        newPassword2:"New Password",
    }
}